{ config, lib, ... }:
{
  programs.ssh = {
    enable = true;
    addKeysToAgent = "yes";
    compression = true;
    matchBlocks = {
      # Personal devices
      tower.hostname = "4e4:535:9d47:f367:becd:6557:458d:5b1b";
      intuos.hostname = "40e:404:a427:da33:163e:97b3:a2a3:9ed4";
      jupiter.hostname = "5ce:969c:40d1:9575:f5e:591d:c377:a20b";

      # Personal servers
      midas.hostname = "538:e163:87ba:f847:3646:18b6:6b01:d8f8";
      kitty.hostname = "53f:dc2d:80c9:3ca2:4b15:ef4d:38a0:c868";
      detritus.hostname = "5dd:9cd7:f286:e2c7:4c3b:c2e1:7832:97a3";
      elder.hostname = "570:3651:7f2:c26b:bccd:725b:be00:8a18";
      prophet.hostname = "42f:2737:2aed:4dee:cbe4:3c73:1918:ad9b";

      # Other servers
      bloxel.hostname = "rtmp.bloxelcom.net";
      seneca = {
        hostname = "matrix.senecapolytechnic.ca";
        user = "jhampton1";
      };
    };
  };
}
